+ Start a Discussion
danlatdanlat 

Why 2 PHP Kits?

Hi All,

 

I wonder if anyone can clear up the confusion that is the Salesforce PHP API kit. Why is there 2 versions?

 

One which you can get from Sourceforge name PHP5-1.0.6, and then there is one from developerforce named phptoolkit-13_1. And to further the confusion they both have totally different contents?

 

Which do I use? Why are there 2?

 

Thanks for any light?

forceleagueforceleague

Hi danlat,

 

I guess they have been developed by 2 different development groups.

 

Just guessing :-)

 

 

danlatdanlat

Hi forceleague,

 

Thanks for the reply.

 

I ended up using phptoolkit-13_1, PHP5-1.0.6 seems to contain a lot less files, for example sfEnterpriseClient is in phptoolkit-13_1 and not PHP5-1.0.6, where you only have sfPartnerClient (and 2 other classes), why does this matter? because they perform/allow different functions via the API.